# Cinder

# AppImplCocoaBasic Class Reference

`#import <AppImplCocoaBasic.h>`

List of all members.

## Protected Attributes
NSWindow * | win
CinderView * | cinderView
NSTimer * | animationTimer
class cinder::app::AppBasic * | app
BOOL | mNeedsUpdate
cinder::Display * | mDisplay
int | mWindowWidth
int | mWindowHeight
BOOL | mFullScreen
float | mFrameRate
id | init:(cinder::app::AppBasic*)aApp
void | setApplicationMenu
void | startAnimationTimer
void | applicationWillTerminate:(NSNotification *)notification
void | quit
void | createWindow
int | getWindowWidth
void | setWindowWidth:(int)windowWidth
int | getWindowHeight
void | setWindowHeight:(int)windowHeight
void | setWindowSizeWithWidth:(int)w height:(int)h
void | handleResizeWithWidth:(int)w height:(int)h
float | getFrameRate
void | setFrameRate:(float)aFrameRate
bool | isFullScreen
void | enterFullScreen
void | exitFullScreen
std::string | getAppPath
CGPoint | mouseLocation
cinder::Display * | getDisplay
void | setDisplay:(cinder::Display*)aDisplay

## Member Data Documentation

- (NSWindow*) win`[protected]`

- (CinderView*) cinderView`[protected]`

- (NSTimer*) animationTimer`[protected]`

- (class) app:`[protected]`

- (BOOL) mNeedsUpdate`[protected]`

- cinder:`[protected]`

- (int) mWindowWidth`[protected]`

- (int) mWindowHeight`[protected]`

- (BOOL) mFullScreen`[protected]`

- (float) mFrameRate`[protected]`

- (id) init`[protected]`

- (void) setApplicationMenu`[protected]`

- (void) startAnimationTimer`[protected]`

- (void) applicationWillTerminate`[protected]`

- (void) quit`[protected]`

- (void) createWindow`[protected]`

- (int) getWindowWidth`[protected]`

- (void) setWindowWidth`[protected]`

- (int) getWindowHeight`[protected]`

- (void) setWindowHeight`[protected]`

- (void) setWindowSizeWithWidth`[protected]`

- (void) handleResizeWithWidth`[protected]`

- (float) getFrameRate`[protected]`

- (void) setFrameRate`[protected]`

- (bool) isFullScreen`[protected]`

- (void) enterFullScreen`[protected]`

- (void) exitFullScreen`[protected]`

- std:`[protected]`

- (CGPoint) mouseLocation`[protected]`

- cinder:`[protected]`

- (void) setDisplay`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplCocoaBasic.h
- src/cinder/app/AppImplCocoaBasic.mm